# MysteryEncounterSpriteConfig | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MysteryEncounterSpriteConfig

- Defined in src/field/mystery-encounter-intro.ts:35

##### Index

### Constructors

constructor

### Properties

alpha?
disableAnimation?
fileRoot
hasShadow?
hidden?
isItem?
isPokemon?
isShiny?
repeat?
scale?
species?
spriteKey
startFrame?
tint?
variant?
x?
y?
yShadow?

## Constructors

### constructor

- new MysteryEncounterSpriteConfig(): MysteryEncounterSpriteConfig

  #### Returns MysteryEncounterSpriteConfig

## Properties

### `Optional` alpha

alpha?: number

The sprites alpha. `0` - `1` The lower the number, the more transparent

- Defined in src/field/mystery-encounter-intro.ts:71

### `Optional` disableAnimation

disableAnimation?: boolean = false

Disable animation. Defaults to `false`

- Defined in src/field/mystery-encounter-intro.ts:45

### fileRoot

fileRoot: string

Refer to /public/images directorty for all folder names

- Defined in src/field/mystery-encounter-intro.ts:39

### `Optional` hasShadow

hasShadow?: boolean = false

Enable shadow. Defaults to `false`

- Defined in src/field/mystery-encounter-intro.ts:43

### `Optional` hidden

hidden?: boolean = false

Hidden at start of encounter. Defaults to `false`

- Defined in src/field/mystery-encounter-intro.ts:51

### `Optional` isItem

isItem?: boolean

If you are using an item sprite, set to `true`

- Defined in src/field/mystery-encounter-intro.ts:69

### `Optional` isPokemon

isPokemon?: boolean

If you are using a Pokemon sprite, set to `true`. This will ensure variant, form, gender, shiny sprites are loaded properly

- Defined in src/field/mystery-encounter-intro.ts:63

### `Optional` isShiny

isShiny?: boolean

If using a Pokemon shiny sprite, needs to be set to ensure the correct variant assets get loaded and displayed

- Defined in src/field/mystery-encounter-intro.ts:65

### `Optional` repeat

repeat?: boolean = false

Repeat the animation. Defaults to `false`

- Defined in src/field/mystery-encounter-intro.ts:47

### `Optional` scale

scale?: number

Sprite scale. `0` - `n`

- Defined in src/field/mystery-encounter-intro.ts:61

### `Optional` species

species?: Species

Optional replacement for `spriteKey`/`fileRoot`. Just know this defaults to male/genderless, form 0, no shiny

- Defined in src/field/mystery-encounter-intro.ts:41

### spriteKey

spriteKey: string

The sprite key (which is the image file name). e.g. "ace_trainer_f"

- Defined in src/field/mystery-encounter-intro.ts:37

### `Optional` startFrame

startFrame?: number = 0

What frame of the animation to start on. Defaults to 0

- Defined in src/field/mystery-encounter-intro.ts:49

### `Optional` tint

tint?: number

Tint color. `0` - `1`. Higher means darker tint.

- Defined in src/field/mystery-encounter-intro.ts:53

### `Optional` variant

variant?: Variant

If using a Pokemon shiny sprite, needs to be set to ensure the correct variant assets get loaded and displayed

- Defined in src/field/mystery-encounter-intro.ts:67

### `Optional` x

x?: number

X offset

- Defined in src/field/mystery-encounter-intro.ts:55

### `Optional` y

y?: number

Y offset

- Defined in src/field/mystery-encounter-intro.ts:57

### `Optional` yShadow

yShadow?: number

Y shadow offset

- Defined in src/field/mystery-encounter-intro.ts:59